+++
title = "tabi"
description = "Un tema de Zola ràpid, lleuger i modern amb suport multilingüe."
weight = 1

[extra]
local_image = "img/tabi.webp"
social_media_card = "img/social_cards/ca_projects_tabi.jpg"
+++

[**tabi**](https://github.com/welpo/tabi) és un tema modern i ric en característiques per a [Zola](https://www.getzola.org/), un generador de llocs web estàtics molt ràpid.

{{ full_width_image(src="img/light_dark_tabi.webp", alt="Modes clar i fosc de tabi") }}

#### [Veure a GitHub](https://github.com/welpo/tabi) {.centered-text}

## Característiques

- [Suport multilingüe complet](https://welpo.github.io/tabi/ca/blog/faq-languages/#how-does-tabi-handle-multilingual-support). Afegeix tants idiomes com vulguis.
- [Estableix qualsevol idioma com a predeterminat](https://welpo.github.io/tabi/ca/blog/faq-languages/#how-do-i-set-a-default-language-for-my-site). Configura el teu lloc en xinès, espanyol, francès, hindi... o qualsevol [altre idioma compatible](https://github.com/welpo/tabi/tree/main/i18n). La interfície del tema es traduirà en conseqüència.
- Temes clars i foscos. S'adapta a la configuració del sistema operatiu, amb un interruptor a la barra de navegació.
- Suport per a [comentaris utilitzant giscus, utterances, Hyvor Talk o Isso](https://welpo.github.io/tabi/ca/blog/comments/).
- Puntuació perfecta a Lighthouse (Rendiment, Accessibilitat, Millors Pràctiques i SEO).
- Suport de [KaTeX](https://katex.org/).
- Tot el JavaScript es pot [deshabilitar completament](https://welpo.github.io/tabi/ca/blog/javascript/).
- [Aspectes personalitzables](https://welpo.github.io/tabi/ca/blog/customise-tabi/).
- [Feed estilitzat](https://welpo.github.io/tabi/ca/atom.xml).
- [Pàgina de projectes](https://welpo.github.io/tabi/ca/projects/).
- [Pàgina d'arxiu](https://welpo.github.io/tabi/ca/archive/).
- [Taula de continguts](https://welpo.github.io/tabi/ca/blog/toc/).
- Etiquetes.
- Enllaços socials.
- Disseny responsiu.
- Ressaltat sintàctic del codi.
- [Capçaleres de seguretat personalitzables](https://welpo.github.io/tabi/ca/blog/security/).
- [Shortcodes personalitzats](https://welpo.github.io/tabi/ca/blog/shortcodes/).

## Pràctiques de desenvolupament

- **[Conventional Commits](https://www.conventionalcommits.org) i [Gitmoji](https://gitmoji.dev/)**: els missatges de commit segueixen formats estandarditzats per facilitar la llegibilitat.

- **Seguiment d'incidències**: cada error o nova funcionalitat té el seu propi tiquet, que s'enllaça amb els commits de codi i PRs o problemes relacionats.

- **Comentaris detallats**: els tiquets es documenten amb imatges, vídeos i descripcions detallades per facilitar una comunicació i resolució de problemes efectives.

- **Referències creuades**: enllacem tots els tiquets amb els commits de codi, pull requests o problemes relacionats per a una traçabilitat completa.

## Evolució del projecte

**tabi** va néixer com a disseny per al meu lloc web personal, [osc.garden](https://osc.garden). Malgrat les seves arrels personals, des del principi es van implementar bones pràctiques per assegurar la qualitat i la mantenibilitat. Des d'aleshores, el tema ha aconseguit atraure una comunitat activa de col·laboradors a GitHub.

## Inicia el teu recorregut com a escriptor amb tabi

Tens alguna cosa a dir. Potser vols parlar sobre com els lingüistes encara no han acordat una [definició de "paraula"](https://ca.wikipedia.org/wiki/Mot), o sobre la teva experiència explorant els diferents [palos del flamenc](https://ca.wikipedia.org/wiki/Estils_flamencs), o de com vas aconseguir resoldre un error d'un projecte de codi obert popular.

**tabi** t'ofereix la base ideal per al teu espai d'escriptura, permetent-te centrar-te en les teves paraules mentre Zola i tabi s'encarreguen de l'aspecte tècnic. Submergeix-te en el món dels blogs amb un sistema que fa que cada publicació sigui un plaer escriure i llegir. La teva veu té valor; comparteix-la amb el món.
