+++
title = "tabi"
description = "Un tema de Zola rápido, ligero y moderno con soporte multilingüe."
weight = 1

[extra]
local_image = "img/tabi.webp"
social_media_card = "img/social_cards/es_projects_tabi.jpg"
+++

[**tabi**](https://github.com/welpo/tabi) es un tema moderno y rico en funcionalidad para [Zola](https://www.getzola.org/), un generador de sitios web estáticos muy rápido.

{{ full_width_image(src="img/light_dark_tabi.webp", alt="Modos claro y oscuro de tabi") }}

#### [Ver en GitHub](https://github.com/welpo/tabi) {.centered-text}

## Características

- [Soporte multilingüe completo](https://welpo.github.io/tabi/es/blog/faq-languages/#how-does-tabi-handle-multilingual-support). Añade tantos idiomas como desees.
- [Establece cualquier idioma como predeterminado](https://welpo.github.io/tabi/es/blog/faq-languages/#how-do-i-set-a-default-language-for-my-site). Configura tu sitio en chino, español, francés, hindi… o cualquier [otro idioma compatible](https://github.com/welpo/tabi/tree/main/i18n). La interfaz del tema se traducirá en consecuencia.
- Temas claros y oscuros. Se adapta a la configuración del sistema operativo, con un interruptor en la barra de navegación.
- Soporte para [comentarios usando giscus, utterances, Hyvor Talk o Isso](https://welpo.github.io/tabi/es/blog/comments/).
- Puntuación perfecta en Lighthouse (Rendimiento, Accesibilidad, Mejores Prácticas y SEO).
- Soporte de [KaTeX](https://katex.org/).
- Todo el JavaScript se puede [deshabilitar completamente](https://welpo.github.io/tabi/es/blog/javascript/).
- [Skins personalizables](https://welpo.github.io/tabi/es/blog/customise-tabi/).
- [Feed estilizado](https://welpo.github.io/tabi/es/atom.xml).
- [Página de proyectos](https://welpo.github.io/tabi/es/projects/).
- [Página de archivo](https://welpo.github.io/tabi/es/archive/).
- [Tabla de contenido](https://welpo.github.io/tabi/es/blog/toc/).
- Etiquetas.
- Enlaces sociales.
- Diseño responsive.
- Resaltado sintáctico de código.
- [Cabeceras de seguridad personalizables](https://welpo.github.io/tabi/es/blog/security/).
- [Shortcodes personalizados](https://welpo.github.io/tabi/es/blog/shortcodes/).

## Prácticas de desarrollo

- **[Conventional Commits](https://www.conventionalcommits.org) y [Gitmoji](https://gitmoji.dev/)**: los mensajes de commit siguen formatos estandarizados para mejorar la legibilidad.

- **Seguimiento de problemas**: cada error o nueva funcionalidad tiene su propio ticket, que se vincula a los commits de código y PRs o problemas relacionados.

- **Comentarios detallados**: los tickets se documentan con imágenes, vídeos y descripciones detalladas para facilitar una comunicación y resolución de problemas efectivas.

- **Referencias cruzadas**: enlazamos todos los tickets con los commits de código, pull requests o problemas relacionados para una rastreabilidad completa.

## Evolución del proyecto

**tabi** nació como diseño para mi sitio personal, [osc.garden](https://osc.garden/es/). A pesar de sus raíces personales, desde el principio se implementaron buenas prácticas para asegurar la calidad y mantenibilidad. Desde entonces, el tema ha logrado atraer a una comunidad activa de contribuyentes en GitHub.

## Empieza tu aventura escribiendo con tabi

Tienes algo que decir. Tal vez se trate de cómo los lingüistas aún no han acordado una [definición de "palabra"](https://es.wikipedia.org/wiki/Palabra), o sobre tu experiencia explorando los diferentes [palos del flamenco](https://es.wikipedia.org/wiki/Flamenco#Palos), o de cómo lograste resolver un fallo de un proyecto de código abierto popular.

**tabi** te ofrece la base ideal para tu espacio de escritura, permitiéndote centrarte en tus palabras mientras Zola y tabi se encargan del aspecto técnicos. Sumérgete en el mundo de los blogs con un sistema que hace que cada publicación sea un placer escribir y leer. Tu voz tiene valor; compártela con el mundo.
