+++
title = "tabi"
description = "A fast, lightweight, and modern Zola theme with multi-language support."
weight = 1

[extra]
local_image = "img/tabi.webp"
social_media_card = "img/social_cards/projects_tabi.jpg"
+++

[**tabi**](https://github.com/welpo/tabi) is a modern, feature-rich theme for [Zola](https://www.getzola.org/), a fast static site generator.

{{ full_width_image(src="img/light_dark_tabi.webp", alt="tabi light and dark mode") }}

#### [View on GitHub](https://github.com/welpo/tabi) {.centered-text}

## Features

- [Comprehensive multi-language support](https://welpo.github.io/tabi/blog/faq-languages/#how-does-tabi-handle-multilingual-support). Add as many languages as you wish.
- [Set any language as default](https://welpo.github.io/tabi/blog/faq-languages/#how-do-i-set-a-default-language-for-my-site). Set your base site to Chinese, Spanish, French, Hindi… or any [other supported language](https://github.com/welpo/tabi/tree/main/i18n). The theme's interface will be translated accordingly.
- Dark and light themes. Defaults to the OS setting, with a switcher in the navigation bar.
- Support for [comments using giscus, utterances, Hyvor Talk, or Isso](https://welpo.github.io/tabi/blog/comments/).
- Perfect Lighthouse score (Performance, Accessibility, Best Practices and SEO).
- [KaTeX](https://katex.org/) support.
- All JavaScript can be [fully disabled](https://welpo.github.io/tabi/blog/javascript/).
- [Customizable skins](https://welpo.github.io/tabi/blog/customise-tabi/).
- [Stylized feed](https://welpo.github.io/tabi/atom.xml).
- [Projects page](https://welpo.github.io/tabi/projects/).
- [Archive page](https://welpo.github.io/tabi/archive/).
- [Table of Contents](https://welpo.github.io/tabi/blog/toc/).
- Tags.
- Social links.
- Responsive design.
- Code syntax highlighting.
- [Customizable secure headers](https://welpo.github.io/tabi/blog/security/).
- [Custom shortcodes](https://welpo.github.io/tabi/blog/shortcodes/).

## Development Practices

- **[Conventional Commits](https://www.conventionalcommits.org) & [Gitmoji](https://gitmoji.dev/)**: Commit messages follow standardised formats to enhance readability.

- **Issue Tracking**: Each bug or new feature has its dedicated ticket, which is linked to any consequent code commits and related PRs or issues.

- **Comprehensive Commentary**: Tickets are documented with images, videos, and detailed descriptions to facilitate effective communication and problem-solving.

- **Cross-Referencing**: We link all tickets to the relevant code commits, pull requests, or related issues for complete traceability.

## Project Evolution

**tabi** was originally designed for my personal website, [osc.garden](https://osc.garden). Despite its origins for personal use, best practices were implemented from the outset to ensure quality and maintainability. The theme has since grown to attract a vibrant community of contributors on GitHub.

## Start Your Writing Journey with tabi

You have something to say. Perhaps it's about how linguists haven't agreed on a [definition of "word"](https://en.wikipedia.org/wiki/Word) yet, or about your journey exploring the different [flamenco palos](https://en.wikipedia.org/wiki/Palo_(flamenco)), or about how you managed to solve a bug in a popular open-source project.

**tabi** provides the ideal foundation for your writing space, letting you focus on your words while Zola and tabi take care of the technical side. Step into the world of blogging with a system that makes each post a joy to write and to read. Your voice has value—share it with the world.
